
#version 150
in  vec3 in_Position;
out vec4 geo_Position;
in vec4 color;
out vec4 acc;
out float z;
uniform mat4 rot;
void main(void)
{
	geo_Position = rot*vec4(in_Position.xyz, 1.0);
	acc = color;
	z = max(0.0,dot(acc,acc));
}